# CS-267 Hw3

## Team Members
SJSU Students

## Note

### To Run the program for part2
The program is written in PHP 8.1.3

#### File path:
all the coding files and output files can be found under "./part2/"

#### Programming files are:
* term_preprocess.php
* guess_locale.php

#### Input files is:
* test_urls.txt

#### Output files are:
* output_en_US.txt (output with the **RIGHT** locale)
* output_fr_FR.txt (output with the **WRONG** locale)
* output_none.txt (output with the **NO** locale)
* output_guess_locale.txt (guessed output form Yioop)

#### Execution commands
To get the output from the program with the **RIGHT** locale
```shell
php term_preprocess.php test_urls.txt en_US > output_en_US.txt
```

To get the output from the program with the **WRONG** locale
```
php term_preprocess.php test_urls.txt fr_FR > output_fr_FR.txt
```

To get the output from the program with the **NO** locale (guessed by Yioop)
```
php term_preprocess.php test_urls.txt none > output_none.txt
```

To get the output of guess locale
```shell
php guess_locale.php test_urls.txt en_US > output_guess_locale.txt
```
By default, we are assuming that all the webpages use en-US (or en-us) as locale

### To Run the program for part3
The program is written in PHP 8.1.3 and Python 3.9

In order to obtain the TF of each term for a given query, we need to first do the data preprocessing.
The output for the data

#### File paths:
* For data preprocessing: "./part2/term_preprocess_tf_idf.php"
* For document ranking using TF-IDF: "./part3/tf_idf/tf_idf.py"
* For stemming queries "./part3/query_stemmer.php"

#### Programming files are:
* term_preprocess_tf_idf.php
* tf_idf.py

#### Input files are:
* query_result_1.txt
* query_result_2.txt
* query_result_3.txt
* query_result_4.txt
* query_result_5.txt

#### Output files are:
ranking.txt
output_stemmed_queries.txt

#### Execution commands:

To get the ranking of each document given one query:
```shell
python3 tf_idf.py > ranking.txt
```

To get the stemmed qeury given query and locale
```shell
php query_stemmer.php > output_stemmed_queries.txt
```
